{% extends 'index.html' %}
{% load static %}
{% block content %}

<main id="main" xmlns="http://www.w3.org/1999/html">
    <!-- ======= Details Section ======= -->
  {% if user.is_authenticated %}
    {% if user.id == post.author.id or user.name == admin %}
      <section id="portfolio" class="portfolio section-bg">
        <div class="container">
          <div class="section-title">
            <h2>Update post</h2>
          </div>
          <div class="form-group">
            <form method="post" enctype="multipart/form-data">
              {% csrf_token %}
              {{ form.media }}
              {{ form.as_p }}
              <button class="btn btn-dark">Update</button>
          </div>
        </div>
     {% else %}
      <section id="portfolio" class="portfolio section-bg">
      <div class="container">
        <div class="section-title">
          <h1>You are not allowed to fix this post</h1>
      {% endif %}
  {% else %}
     <section id="portfolio" class="portfolio section-bg">
      <div class="container">
        <div class="section-title">
          <h1>Please, log in or register</h1>
  {% endif %}
{% endblock %}